#
# spec file for package scim-hangul
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           scim-hangul
Version:        0.4.0+git20140408.ee1d084
Release:        1.36
Summary:        Hangul Input Method Engine for SCIM
License:        GPL-2.0+
Group:          System/I18n/Korean
Url:            https://github.com/choehwanjin/scim-hangul
Source:         %{name}-%{version}.tar.xz
BuildRequires:  gcc-c++
BuildRequires:  libhangul-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libtool
BuildRequires:  scim-devel
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Hangul Input Method Engine for SCIM

%prep
%setup -q -n %{name}-%{version}

%build
touch ChangeLog
autoreconf -fiv
export CXXFLAGS="%{optflags}"
%configure  --disable-static \
            --enable-debug
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
find %{buildroot} -name "*.la" -delete -print
%find_lang %{name}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{_scim_enginedir}/hangul.so
%if 0%{?suse_version} >= 1140
%{_scim_uidir}/hangul-imengine-setup.so
%endif
%{_scim_icondir}/scim-hangul.png
%{_scim_icondir}/scim-hangul-off.png
%{_scim_icondir}/scim-hangul-on.png
%dir %{_scim_datadir}/hangul/
%{_scim_datadir}/hangul/symbol.txt

%changelog
* Sun Sep 13 2015 i@marguerite.su
- update to 0.4.0+git20140408.ee1d084
  * include unistd.h explicitly for access(2)
  * free symbol table resource on destroy
  * add 'auto reorder' option
  * fix memory leak when HangulInstance is destroyed
- new upstream: https://github.com/choehwanjin/scim-hangul
- use macros from macros.scim
- drop patch: scim-hangul-gcc47.patch, upstreamed
* Thu Jan 17 2013 swyear@gmail.com
- Update to 0.4.0
- Support GTK+ 3.0
- Remove skim related codes
- Remove sub-package skim-scim-hangul (upstream remove skim related code)
- Remove build-fix.patch (no skim support)
- Remove gtk-2.12+-gtktooltips-migration.patch missing-includes.patch mkinstalldirs.patch (upstream had fixed them)
- Cleanup spec file
* Thu Sep 13 2012 hillwood@linuxfans.org
- enable gtk3 build
* Tue Jun 12 2012 tiwai@suse.de
- Remove locale provides for avoiding automatic installation
- Disable gtk3-migration patches temporarily (can be enabled by
  defining scim_gtk3=1)
* Wed Jun  6 2012 i@marguerite.su
- fix openSUSE builds.
  * migration gtktooltips to gtk 2.12+ version.
* Sat Mar 24 2012 dimstar@opensuse.org
- Add scim-hangul-gcc47.patch: Fix build with gcc 4.7.
* Tue Apr 20 2010 tiwai@suse.de
- disable skim build for openSUSE-11.3
* Tue Feb 23 2010 coolo@novell.com
- do not rely on unmaintained unsermake
* Thu Jan  3 2008 mfabian@suse.de
- update to 0.3.2.
  • add symbol input feature
  • add dutch translation from Ronald Stroethoff
    <stroet43 (at) zonnet.nl>
* Thu Nov  8 2007 mfabian@suse.de
- add missing includes to fix build with gcc 4.3.0.
* Tue Apr 24 2007 mfabian@suse.de
- add "BuildRequires: unsermake" for SUSE Linux 10.0.
* Tue Apr 17 2007 mfabian@suse.de
- Fix typo in .spec file.
* Mon Apr 16 2007 mfabian@suse.de
- update to 0.3.1.
  • use libhangul 0.0.4
  • Fixed some small bugs
* Sat Oct 28 2006 meissner@suse.de
- use optflags
* Thu Oct 12 2006 mfabian@suse.de
- fix to build with scim 1.4.5.
* Mon Aug 14 2006 mfabian@suse.de
- use "install -d" for mkinstalldirs to fix the build with
  gettext 0.15.
* Wed Jul  5 2006 mfabian@suse.de
- update to 0.2.2.
  + Fixed 3 beolsik keypad problem
  + Fixed capslock problem
  + Fixed installation problem on KDE
  + Changed dvorak behavior
    (see http://sourceforge.net/tracker/index.php?func=detail&aid=1425895&group_id=108454&atid=650539)
- fix build for autoconf 2.60.
* Wed Mar 15 2006 mfabian@suse.de
- Bugzilla #158170: add "Provides: locale(skim:ko)" to
  scim-hangul-skim sub-package.
* Thu Feb 23 2006 mfabian@suse.de
- add "Provides:     locale(scim:ko)".
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 zsu@suse.de
- update to 0.2.1
- create subpackage scim-hangul-skim
* Thu Aug  4 2005 mfabian@suse.de
- Bugzilla #97962: add configure option "--enable-debug" to
  the .spec file.
* Tue Aug  2 2005 aj@suse.de
-  Adjust neededforbuild.
* Mon Feb 28 2005 mfabian@suse.de
- update to 0.2.0.
* Mon Sep 20 2004 mfabian@suse.de
- add patch received from author (Zhe Su) which adds a reset()
  to HangulInstance::focus_out ().
* Fri Sep  3 2004 mfabian@suse.de
- update to 0.1.2.
* Mon Aug 16 2004 mfabian@suse.de
- update to 0.1.0.
* Fri Aug 13 2004 mfabian@suse.de
- new package: scim-hangul, version 0.0.3.
